package org.dromara.zhishu.domain.vo;

import java.util.List;

/**
 * 库存操作Vo
 */
public class OperatingInventoryVo {

    /**
     * 操作类型 1:增加库存 2:减少库存
     */
    private Integer operationType;

    /**
     * 店铺类型 1:拼多多 2:孔夫子
     */
    private Integer shopType;

    /**
     * 三方平台订单编号
     */
    private String orderSn;

    /**
     * 平台店铺Id
     */
    private Long mallId;

    /**
     * 商品信息列表
     */
    private List<GoodsItem> goodsItems;

    public static class GoodsItem {

        /**
         * 平台商品Id
         */
        private String platformId;

        /**
         * 商品数量
         */
        private Integer count;

        public String getPlatformId() {
            return platformId;
        }

        public void setPlatformId(String platformId) {
            this.platformId = platformId;
        }

        public Integer getCount() {
            return count;
        }

        public void setCount(Integer count) {
            this.count = count;
        }
    }

    public Integer getOperationType() {
        return operationType;
    }

    public void setOperationType(Integer operationType) {
        this.operationType = operationType;
    }

    public Integer getShopType() {
        return shopType;
    }

    public void setShopType(Integer shopType) {
        this.shopType = shopType;
    }

    public Long getMallId() {
        return mallId;
    }

    public void setMallId(Long mallId) {
        this.mallId = mallId;
    }

    public List<GoodsItem> getGoodsItems() {
        return goodsItems;
    }

    public void setGoodsItems(List<GoodsItem> goodsItems) {
        this.goodsItems = goodsItems;
    }

    public String getOrderSn() {
        return orderSn;
    }

    public void setOrderSn(String orderSn) {
        this.orderSn = orderSn;
    }
}
